# Method Search.Database.Base()->get_uri_id()

Method get_uri_id

  ``int` get_uri_id(`string` `uri`, `void`|`int` `do_not_create`)`

Description

  Retrieve and possibly creates the URI id corresponding to the given URI.

Parameter `uri`

  The URI to be retrieved or created.

Parameter `do_not_create`

  If non-zero, do not create the URI.

Returns

  The non-zero numeric identifier if `uri` exists, or 0 otherwise.